Subject: [Diffserv] TCB's in diffserv router model.

From: Thomas Eklund <[email-masked]>
Date: Thu, 20 Jan 2000 17:58:09 +0100

Hi,
I have some questions about the draft-ietf-diffserv-model-01.txt...

I wonder why TCB (Traffic Conditioning Block) is specified to include the
classifier stage??

I would like to see something like
Filter Block (BA, MF filtering)
Traffic Conditioning Block (Metering, Marking, Shaping, Dropping,
Queuing/Scheduling)

So that you set the ingress and egress filtering rules in the FB and applies
a TCB for every FB.

So the FB is in, out, in/out (flow).

Then I would also like to see a paper on how ipsec in tunnel mode over
diffserv should be handled at the same time in FB. Or is there any work
already done on this?

So the model would become:
FB + TCB = (filtering block for both security filters and qos
classification) + (and a traffic conditioning block that apply the traffic
behaviour) = What treatment and how a packet is forwarded 

Any comments?

Best Regards Thomas

Thomas Eklund
System Design, MSc
SwitchCore i Stockholm AB
Positionen 153, Hangövägen 19
SE-115 74 Stockholm, Sweden	
phone +46 8 5630 5815
fax +46 8 5630 5801 
mobile +46 709 952910
[email-masked]
visit our web page at http://www.switchcore.com

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/